Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1416967 - SELinux is preventing udevadm from 'open' accesses on the file /etc/selinux/targeted/contexts/files/file_contexts.bin.
Summary: SELinux is preventing udevadm from 'open' accesses on the file /etc/selinux/t...
Keywords:
Status: CLOSED DUPLICATE of bug 1436828
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:73a2bdc4bf79c42ef93a00372fe...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-26 23:31 UTC by arturpolak1
Modified: 2017-06-23 13:10 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-23 13:10:58 UTC
Type: ---


Attachments (Terms of Use)

Description arturpolak1 2017-01-26 23:31:49 UTC
Description of problem:
SELinux is preventing udevadm from 'open' accesses on the file /etc/selinux/targeted/contexts/files/file_contexts.bin.

*****  Plugin catchall (100. confidence) suggests   **************************

If aby udevadm powinno mieć domyślnie open dostęp do file_contexts.bin file.
Then proszę to zgłosić jako błąd.
Można utworzyć lokalny moduł polityki, aby umożliwić ten dostęp.
Do
allow this access for now by executing:
# ausearch -c 'udevadm' --raw | audit2allow -M my-udevadm
# semodule -X 300 -i my-udevadm.pp

Additional Information:
Source Context                system_u:system_r:tlp_t:s0
Target Context                unconfined_u:object_r:file_context_t:s0
Target Objects                /etc/selinux/targeted/contexts/files/file_contexts
                              .bin [ file ]
Source                        udevadm
Source Path                   udevadm
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           selinux-policy-targeted-3.13.1-235.fc26.noarch
Policy RPM                    selinux-policy-3.13.1-235.fc26.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.9.5-200.fc25.x86_64 #1 SMP Fri
                              Jan 20 12:24:16 UTC 2017 x86_64 x86_64
Alert Count                   1
First Seen                    2017-01-26 10:53:29 CET
Last Seen                     2017-01-26 10:53:29 CET
Local ID                      b9039d86-2a2c-4451-aa1c-6c1adc9b40d6

Raw Audit Messages
type=AVC msg=audit(1485424409.507:251): avc:  denied  { open } for  pid=2090 comm="udevadm" path="/etc/selinux/targeted/contexts/files/file_contexts.bin" dev="dm-1" ino=2754311 scontext=system_u:system_r:tlp_t:s0 tcontext=unconfined_u:object_r:file_context_t:s0 tclass=file permissive=1


Hash: udevadm,tlp_t,file_context_t,file,open

Version-Release number of selected component:
selinux-policy-3.13.1-235.fc26.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.0
hashmarkername: setroubleshoot
kernel:         4.10.0-0.rc5.git1.1.fc26.x86_64
type:           libreport

Comment 1 Fedora End Of Life 2017-02-28 11:04:40 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 2 Lukas Vrabec 2017-06-23 13:10:58 UTC

*** This bug has been marked as a duplicate of bug 1436828 ***


Note You need to log in before you can comment on or make changes to this bug.